Bug 74283 - scsi raid disk drive device(s) not available to fdisk
Summary: scsi raid disk drive device(s) not available to fdisk
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i686 Linux
medium
medium
Target Milestone: ---
Assignee: Jeremy Katz
QA Contact: Brock Organ
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-09-19 16:00 UTC by Simon Annetts
Modified: 2007-04-18 16:46 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2002-09-23 09:05:18 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Simon Annetts 2002-09-19 16:00:55 UTC
From Bugzilla Helper:
User-Agent: Mozilla/4.0 (compatible; MSIE 5.5; Windows 98)

Description of problem:
When installing RH7.3 on a Dell Poweredge 1650 with Adaptec PERC 3/Di Raid 
controller the controller is detected and the aacraid driver is installed, but 
no /dev/sd* devices are available to fdisk so manual partitioning is not 
possible. The raid configuration used by the controller was RAID 1 , two disks, 
and one container spanning the whole disk size. Automatic partitioning seems to 
work fine, but was not what I wanted for this particular installation.

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Create a raid 1 container using the two disks in the server
2. Install from the RH7.3 CD1
3. choose text mode setup
4. when you get to the partitioning screen choose use fdisk
	

Actual Results:  fdisk fails silently. If you change console and type 
fdisk /dev/sda then you get 'fdisk unable to open device /dev/sda'. A look 
in /dev shows no disk devices.


Expected Results:  should have been able to manually partition the raid array

Additional info:

if you use the auto partitioning then you can install linux normally and after 
a reboot there are /dev/sda* devices

Comment 1 Jeremy Katz 2002-09-20 20:00:07 UTC
The installer automatically creates device nodes as needed for running things
like fdisk -- if you manually create /dev/sda with 'mknod /dev/sda' and then run
fdisk, from tty2, what do you see?  Additionally, are there any error messages
on tty4?

Comment 2 Simon Annetts 2002-09-23 09:05:12 UTC
Running mknod /dev/sda cures the problem and I can use fdisk /dev/sda as normal 
on tty2.

I think I had expected the devices to be there once the disks were detected, 
not just created temporarily when the installer needed them.

You can close this bug :-)
Thanks





Note You need to log in before you can comment on or make changes to this bug.